JSJmolPopup
Date: 2019-10-22

org.jmol.awtjs2d

## Class JSJmolPopup

- java.lang.Object
- - org.jmol.popup.GenericPopup
  - - org.jmol.popup.JmolGenericPopup
    - - org.jmol.popup.JmolPopup
      - - org.jmol.awtjs2d.JSJmolPopup

- All Implemented Interfaces:
    GenericMenuInterface

      public class JSJmolPopup
      extends JmolPopup

- - ### Field Summary

    - ### Fields inherited from class org.jmol.popup.JmolPopup

      `UPDATE_NEVER, updateMode`

    - ### Fields inherited from class org.jmol.popup.JmolGenericPopup

      `frankPopup, menuText, nFrankList, vwr`

    - ### Fields inherited from class org.jmol.popup.GenericPopup

      `allowSignedFeatures, buttonGroup, currentMenuItemId, helper, htCheckbox, htMenus, isApplet, isJS, isSigned, isTainted, isWebGL, menuName, popupMenu, strMenuStructure, thisPopup, thisx, thisy, updatingForShow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSJmolPopup()` The main popup window for the applet -- as JavaScript

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `getImageIcon(java.lang.String fileName)`
    `protected java.lang.String` | `getUnknownCheckBoxScriptToRun(SC item, java.lang.String name, java.lang.String what, boolean TF)`
    `void` | `menuFocusCallback(java.lang.String name, java.lang.String actionCommand, boolean b)`
    `void` | `menuShowPopup(SC popup, int x, int y)`

    - ### Methods inherited from class org.jmol.popup.JmolPopup

      `appCheckItem, appCheckSpecialMenu, appGetMenuAsString, appRestorePopupMenu, appUpdateForShow, appUpdateSpecialCheckBoxValue, getBundle, getScriptForCallback, getSpecialLabel, jpiDispose, jpiUpdateComputedMenus, showFrankMenu`

    - ### Methods inherited from class org.jmol.popup.JmolGenericPopup

      `appFixLabel, appGetBooleanProperty, appRunScript, appRunSpecialCheckBox, initialize, jpiGetMenuAsObject, jpiInitialize, jpiShow`

    - ### Methods inherited from class org.jmol.popup.GenericPopup

      `addMenuItem, addMenuItems, convertToMegabytes, doMenuCheckBoxCallback, doMenuClickCallback, getEntryIcon, initSwing, jpiGetMenuAsString, menuAddSeparator, menuAddSubMenu, menuCheckBoxCallback, menuClickCallback, menuCreateCheckboxItem, menuCreateItem, menuEnable, menuGetId, menuGetListPosition, menuNewSubMenu, menuRemoveAll, menuSetAutoscrolls, menuSetLabel, setText, show, updateButton, updateSignedAppletItems`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JSJmolPopup

          public JSJmolPopup()

      The main popup window for the applet -- as JavaScript

  - ### Method Detail

    - #### menuShowPopup

          public void menuShowPopup(SC popup,
                                    int x,
                                    int y)

      Specified by:
        `menuShowPopup` in class `GenericPopup`

    - #### getUnknownCheckBoxScriptToRun

          protected java.lang.String getUnknownCheckBoxScriptToRun(SC item,
                                                                   java.lang.String name,
                                                                   java.lang.String what,
                                                                   boolean TF)

      Specified by:
        `getUnknownCheckBoxScriptToRun` in class `GenericPopup`

    - #### getImageIcon

          protected java.lang.Object getImageIcon(java.lang.String fileName)

      Specified by:
        `getImageIcon` in class `GenericPopup`

    - #### menuFocusCallback

          public void menuFocusCallback(java.lang.String name,
                                        java.lang.String actionCommand,
                                        boolean b)

      Specified by:
        `menuFocusCallback` in class `GenericPopup`